aboutsummaryrefslogtreecommitdiff
path: root/sci/electronics/gtkwave/gtkwave.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'sci/electronics/gtkwave/gtkwave.SlackBuild')
-rwxr-xr-xsci/electronics/gtkwave/gtkwave.SlackBuild14
1 files changed, 9 insertions, 5 deletions
diff --git a/sci/electronics/gtkwave/gtkwave.SlackBuild b/sci/electronics/gtkwave/gtkwave.SlackBuild
index c679145c..a46ac20a 100755
--- a/sci/electronics/gtkwave/gtkwave.SlackBuild
+++ b/sci/electronics/gtkwave/gtkwave.SlackBuild
@@ -69,13 +69,17 @@ fi
# Check if GTKWave should be built for GTK+-2.x (default,
#+if both are available) or 1.x
-if [ -d /etc/gtk-2.0 ]; then
+pkg-config gtk+-2.0 --libs
+if [ $? == 0 ]; then
GTK_VERSION=2
-elif [ -d /etc/gtk ]; then
- GTK_VERSION=1
else
- echo "ERROR: GTKWave requires either GTK+-1.x or 2.x"
- exit 1
+ gtk-config --libs
+ if [ $? == 0 ]; then
+ GTK_VERSION=1
+ else
+ echo "ERROR: GTKWave requires either GTK+-1.x or 2.x"
+ exit 1
+ fi
fi
# Untar, configure, compile and install